Summary:	A Finite State Machine (FSM) design tool
Name:		FSMDesigner4
Version:	4.2
Release:	%{mkrel 1}
Source0:	http://downloads.sourceforge.net/fsmdesigner/%{name}-%{version}.tar.gz
Patch10:	FSMDesigner4-4.2-link.patch
License:	GPLv2+
Group:		Development/Other
URL:		http://sourceforge.net/projects/fsmdesigner/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qt4-devel
BuildRequires:	xerces-c-devel
BuildRequires:	python-devel
BuildRequires:	mlocate
BuildRequires:	swig
BuildRequires:	autoconf-archive

%description
FSMDesigner4 is a C++ based implementation for a Finite State Machine (FSM)
design tool with integrated Hardware Description Language (HDL) generation.
FSMDesigner4 uses the Simple-Moore FSM model guaranteeing efficient fast
complex control circuits.

%prep
%setup -q
%patch10 -p0 -b .link

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README NEWS INSTALL ChangeLog
%{_bindir}/createf4tbar
%{_bindir}/createmmap
%{_bindir}/createtestbench
%{_bindir}/dnfinvert
%{_bindir}/fsmdesigner4
%{_bindir}/fsmmin
%{_bindir}/fsmverification
%{_bindir}/fsmveriloggeneration
%{_bindir}/fsmvhdlgeneration
%{_libdir}/fsmdesigner.py



%changelog
* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 4.2-1mdv2011.0
+ Revision: 594190
- New version 4.2

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jan 22 2009 Funda Wang <fwang@mandriva.org> 1.2-2mdv2009.1
+ Revision: 332418
- rebuild for new python

* Sat Dec 20 2008 Adam Williamson <awilliamson@mandriva.org> 1.2-1mdv2009.1
+ Revision: 316392
- br autoconf-archive
- rebuild against newer xerces-c major
- adjust file list for new version
- add include.patch to fix a missing xerces include
- add link.patch to fix underlinking against xerces
- add badflags.patch to drop use of a variable that doesn't exist yet
- add gcc43.patch to fix various GCC 4.3 build issues
- add pythoncheck.patch to stop the python check being broken
- change locate.patch to just drop check for locate (and don't br it)
- new release 1.2
- drop unnecessary defines

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix summary-not-capitalized

* Sun Feb 03 2008 Erwan Velu <erwan@mandriva.org> 1.1-1mdv2008.1
+ Revision: 161760
- Fixing Python locate
- Adding more buildrequires
- Adding doc
- import FSMDesigner4


